/* Global stuff every program needs.

   Copyright 1993 by Michael L.H. Brouwer (michael@urc.tue.nl)

   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 2, or (at your option) any later
   version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
   Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc.,
   675 Mass Ave, Cambridge, MA 02139, USA.

   $Modified: Tue Mar 23 15:46:51 1993 by michael $
   $Id: global.h,v 1.5 1993/04/04 22:46:11 michael Exp $  */

#ifdef TRUE
#undef TRUE
#endif
#ifdef FALSE
#undef FALSE
#endif
#define TRUE	(0 == 0)
#define FALSE	(0 != 0)

typedef int bool;

extern const char *prog;

void init_prog (const char *p);
int errorf (char *fmt, ...);
void fatalf (char *fmt, ...);
void *xmalloc (size_t size);
void *xrealloc (void *old, size_t size);
