/*
 *	Name: FdParm.h
 *	Description: Global point for setting up the parameters used by the Fd
 *	Project.
 *	Author: Mark Salyzyn December 5 1995
 */

/*
 *	POSIX_KERN
 *
 *	This parameter fixes associated with kernel structures are
 *	included. Do not undefine this variable unless you know what you are
 *	doing.
 */
#define POSIX_KERN	1

/*
 * Name used by Project.
 */

static char FdDeviceName[] = "Fd";

static char FdDeviceKind[] = "Server";	/* Kind of driver registered	*/
