/* Typedefs for mapfile.c.

   Copyright 1993 by Michael L.H. Brouwer (michael@urc.tue.nl)

   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 2, or (at your option) any later
   version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
   Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc.,
   675 Mass Ave, Cambridge, MA 02139, USA.

   $Modified: Tue Mar 23 15:47:16 1993 by michael $
   $Id: mapfile.h,v 1.5 1993/04/04 22:46:13 michael Exp $  */

/* Struct to pass on as argument to map_file and unmap_file.  */
typedef struct map_handle
{
  char *mem;
  size_t size;
  off_t offset;
  const char *name;
  int fd;
} map_handle;

int map_file (map_handle *mh);
int unmap_file (map_handle *mh);
